﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanySegmentInformationViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}

<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanySegmentInformation", FormMethod.Post, new { id = "CompanySegmentInformation", name = "CompanySegmentInformation", @class = "" }))
{
    <div id="content" class="content">
        <div class="section-with-top-border">
            <div class="row">
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-with-top-border p-b-10 p-t-25">
            @if (ViewBag.Message != string.Empty)
            {
                <div class="alert alert-danger alert-bordered show m-b-10">
                    <strong>Info!</strong>
                    @ViewBag.Message
                    <span class="close" data-dismiss="alert">×</span>
                </div>
            }

            @Html.HiddenFor(Model => Model.CompanyId)
            @Html.HiddenFor(Model => Model.ProjectId)

            <div class="section-with-top-border p-b-10 p-t-20">
                <!-- begin row -->
                <div class="row">
                    <!-- begin col-8 -->
                    <div class="col-md-12">
                        <!-- begin panel -->
                        <div class="panel">
                            <div class="table-responsive">
                                <table id="tblTrends" class="table table-bordered table-hover table-striped table-td-valign-middle product-service-table">
                                    <thead>
                                        <tr class="inverse">
                                            <th class="text-center"></th>
                                            @for (int k = 0; k < Model.YearList.Count; k++)
                                            {
                                                <th class="text-center">@Model.YearList[k]</th>
                                            }

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                Segment - 1
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Segment1</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Segment - 2
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Segment2</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Segment - 3
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Segment3</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Segment - 4
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Segment4</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Segment - 5
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Segment5</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total Reportable Segments:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalReportableSegments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Geography - 1
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Geography1</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Geography - 2
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Geography2</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Geography - 3
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Geography3</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Geography - 4
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Geography4</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Geography - 5
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Geography5</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total Geographic Segments:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanySegmentInformationViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalGeographicSegments</td>
                                            }
                                        </tr>
                                        

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- end panel -->
                    </div>
                    <!-- end col-8 -->
                    <!-- end col-4 -->
                </div>
                <!-- end row -->
            </div>

        </div>
        <div class="section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>

                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
    </div>

}
